> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /usage
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /usage:
    get:
      tags:
        - usage
      summary: Get Usage
      operationId: get_usage
      parameters:
        - name: period
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The montly period to get usage for, i.e May 2025
            title: Period
          description: The montly period to get usage for, i.e May 2025
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    UsageResponse:
      properties:
        plan_type:
          anyOf:
            - $ref: '#/components/schemas/SubscriptionType'
            - type: string
          title: Plan Type
        period:
          type: string
          title: Period
        session_count:
          type: integer
          title: Session Count
        function_count:
          type: integer
          title: Function Count
        browser_usage_cost:
          type: number
          title: Browser Usage Cost
        proxy_usage_cost:
          type: number
          title: Proxy Usage Cost
        llm_usage_cost:
          type: number
          title: Llm Usage Cost
        function_usage_cost:
          type: number
          title: Function Usage Cost
        total_cost:
          type: number
          title: Total Cost
        subscription_limit_amount:
          type: number
          title: Subscription Limit Amount
        topup_limit_amount:
          type: number
          title: Topup Limit Amount
        subscription_balance_amount:
          type: number
          title: Subscription Balance Amount
        topup_balance_amount:
          type: number
          title: Topup Balance Amount
        balance_amount:
          type: number
          title: Balance Amount
        is_usage_limit_exceeded:
          type: boolean
          title: Is Usage Limit Exceeded
      type: object
      required:
        - plan_type
        - period
        - session_count
        - function_count
        - browser_usage_cost
        - proxy_usage_cost
        - llm_usage_cost
        - function_usage_cost
        - total_cost
        - subscription_limit_amount
        - topup_limit_amount
        - subscription_balance_amount
        - topup_balance_amount
        - balance_amount
        - is_usage_limit_exceeded
      title: UsageResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SubscriptionType:
      type: string
      enum:
        - free
        - pro
        - growth
        - playground
        - admin
        - minoan
        - proofs
        - interview
      title: SubscriptionType
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````